Package ru.bitel.bgbilling.kernel.module.common.bean

# Class BGInstalledModule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.BGInstalledModule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BGInstalledModule extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGInstalledModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBuild()`
  `Map<String,Element>`
  `getClientExtensionMap()`
  `String`
  `getName()`
  `String`
  `getPackageClient()`
  `String`
  `getPackageServer()`
  `Map<String,Element>`
  `getServerExtensionMap()`
  `ru.bitel.bgbilling.kernel.module.common.enums.ComponentType`
  `getType()`
  `String`
  `getVersion()`
  `boolean`
  `isEnabled()`
  `void`
  `setBuild(String build)`
  `void`
  `setEnabled(boolean enabled)`
  `BGInstalledModule`
  `setName(String name)`
  `void`
  `setPackageClient(String packageClient)`
  `BGInstalledModule`
  `setPackageServer(String packageServer)`
  `BGInstalledModule`
  `setType(ru.bitel.bgbilling.kernel.module.common.enums.ComponentType type)`
  `void`
  `setVersion(String version)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BGInstalledModule

    public BGInstalledModule()

- ## Method Details

  - ### isEnabled

    public boolean isEnabled()

  - ### setEnabled

    public void setEnabled(boolean enabled)

  - ### getType

    public ru.bitel.bgbilling.kernel.module.common.enums.ComponentType getType()

  - ### setType

    public BGInstalledModule setType(ru.bitel.bgbilling.kernel.module.common.enums.ComponentType type)

  - ### getName

    public String getName()

  - ### setName

    public BGInstalledModule setName(String name)

  - ### getVersion

    public String getVersion()

  - ### setVersion

    public void setVersion(String version)

  - ### getPackageClient

    public String getPackageClient()

  - ### setPackageClient

    public void setPackageClient(String packageClient)

  - ### getPackageServer

    public String getPackageServer()

  - ### setPackageServer

    public BGInstalledModule setPackageServer(String packageServer)

  - ### getBuild

    public String getBuild()

  - ### setBuild

    public void setBuild(String build)

  - ### getServerExtensionMap

    public Map<String,Element> getServerExtensionMap()

  - ### getClientExtensionMap

    public Map<String,Element> getClientExtensionMap() throws Exception
    Throws:
      `Exception`